﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Document;
using GrapeCity.ActiveReports.Configuration;

namespace WindowsFormsApplication24
{
    public partial class Viewer : Form
    {

        PageDocument runtime;
        Northwind.CustomersDataTable table = new Northwind.CustomersDataTable();
        NorthwindTableAdapters.CustomersTableAdapter da = new NorthwindTableAdapters.CustomersTableAdapter();


        private void LoadReport()
        {
            FileInfo rptPath = new FileInfo(@"..\..\PageReport2.rdlx");
            PageReport definition = new PageReport(rptPath);
            definition.ConfigurationProvider = new GrapeCity.ActiveReports.Configuration.DefaultConfigurationProvider();
            runtime = new PageDocument(definition);
         
           runtime.LocateDataSource += new LocateDataSourceEventHandler(runtime_LocateDataSource);
           viewer1.LoadDocument(runtime);
       

        }

        void runtime_LocateDataSource(object sender, LocateDataSourceEventArgs args)
        {
            da.Fill(table);
            args.Data = table;
        }

        public Viewer()
        {
            InitializeComponent();

        }

        private void Form1_Load(object sender, EventArgs e)
        {

            LoadReport();
           
      
            
            
        }
    }
}
